@prefix lv2:   <http://lv2plug.in/ns/lv2core#> .
@prefix foaf:  <http://xmlns.com/foaf/0.1/> .
@prefix doap:  <http://usefulinc.com/ns/doap#> .
@prefix rdfs:  <http://www.w3.org/2000/01/rdf-schema#> .
@prefix units: <http://lv2plug.in/ns/extension/units#> .
@prefix uiext: <http://lv2plug.in/ns/extensions/ui#> .
@prefix dc:    <http://dublincore.org/documents/dcmi-namespace/> .
@prefix pg:    <http://lv2plug.in/ns/dev/port-groups#> .


<http://invadarecords.com/plugins/lv2/tube/gui>
    a uiext:GtkUI;
    uiext:binary <inv_tube_gui.so>;
    uiext:requiredFeature uiext:makeResident ;
    uiext:optionalFeature uiext:noUserResize ;

    uiext:portNotification [ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/tube/mono> ;
        uiext:portIndex 5 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/tube/mono> ;
        uiext:portIndex 6 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/tube/mono> ;
        uiext:portIndex 7 ;
    ] ;

    uiext:portNotification [ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/tube/stereo> ;
        uiext:portIndex 5 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/tube/stereo> ;
        uiext:portIndex 6 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/tube/stereo> ;
        uiext:portIndex 7 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/tube/stereo> ;
        uiext:portIndex 10 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/tube/stereo> ;
        uiext:portIndex 11 ;
    ] .


<http://invadarecords.com/plugins/lv2/tube/mono> 
    a lv2:Plugin, lv2:DistortionPlugin ;
    doap:name "Invada Tube Distortion (mono)" ;
    doap:developer [
	foaf:name "Fraser Stuart";
	foaf:homepage <https://launchpad.net/invada-studio> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:maintainer [
	foaf:name "Invada";
	foaf:homepage <http://www.invadarecords.com/Downloads.php?ID=00000264> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:license <http://usefulinc.com/doap/licenses/gpl> ;
    lv2:optionalFeature lv2:hardRtCapable ;
    uiext:ui <http://invadarecords.com/plugins/lv2/tube/gui> ;
    dc:replaces <urn:ladspa:3306> ;

    lv2:port [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 0 ;
	lv2:symbol "bypass" ;
	lv2:name "Bypass" ;
	lv2:portProperty lv2:toggled ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 1 ;
	lv2:symbol "drive" ;
	lv2:name "Drive" ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 18.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 2 ;
	lv2:symbol "dcoffset" ;
	lv2:name "DC Offset" ;
	lv2:default 0.0 ;
	lv2:minimum -1.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 3 ;
	lv2:symbol "phase" ;
	lv2:name "Tube Phase" ;
	lv2:portProperty lv2:toggled ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 4 ;
	lv2:symbol "mix" ;
	lv2:name "Mix" ;
	lv2:default 75.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 100.0 ;
	units:unit units:pc ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 5 ;
	lv2:symbol "meterDrive" ;
	lv2:name "Drive Lamp" ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 10.0 ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 6 ;
	lv2:symbol "meterIn" ;
	lv2:name "In" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 7 ;
	lv2:symbol "meterOut" ;
	lv2:name "Out" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:AudioPort ;
	lv2:index 8 ;
	lv2:symbol "in" ;
	lv2:name "In" ;
    ] , [
	a lv2:OutputPort,  lv2:AudioPort ;
	lv2:index 9 ;
	lv2:symbol "out" ;
	lv2:name "Out" ;
    ]
.

<http://invadarecords.com/plugins/lv2/tube/stereo#in> 
    a pg:Group ;
    a pg:StereoGroup ;
    lv2:symbol "in" .
  
<http://invadarecords.com/plugins/lv2/tube/stereo#out> 
    a pg:Group ;
    a pg:StereoGroup ;
    lv2:symbol "out" .

<http://invadarecords.com/plugins/lv2/tube/stereo> 
    a lv2:Plugin, lv2:DistortionPlugin ;
    doap:name "Invada Tube Distortion (stereo)" ;
    doap:developer [
	foaf:name "Fraser Stuart";
	foaf:homepage <https://launchpad.net/invada-studio> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:maintainer [
	foaf:name "Invada";
	foaf:homepage <http://www.invadarecords.com/Downloads.php?ID=00000264> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:license <http://usefulinc.com/doap/licenses/gpl> ;
    lv2:optionalFeature lv2:hardRtCapable ;
    uiext:ui <http://invadarecords.com/plugins/lv2/tube/gui> ;
    dc:replaces <urn:ladspa:3307> ;

    lv2:port [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 0 ;
	lv2:symbol "bypass" ;
	lv2:name "Bypass" ;
	lv2:portProperty lv2:toggled ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 1 ;
	lv2:symbol "drive" ;
	lv2:name "Drive" ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 18.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 2 ;
	lv2:symbol "dcoffset" ;
	lv2:name "DC Offset" ;
	lv2:default 0.0 ;
	lv2:minimum -1.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 3 ;
	lv2:symbol "phase" ;
	lv2:name "Tube Phase" ;
	lv2:portProperty lv2:toggled ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 4 ;
	lv2:symbol "mix" ;
	lv2:name "Mix" ;
	lv2:default 75.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 100.0 ;
	units:unit units:pc ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 5 ;
	lv2:symbol "meterDrive" ;
	lv2:name "Drive Lamp" ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 10.0 ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 6 ;
	lv2:symbol "meterInL" ;
	lv2:name "L In" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 7 ;
	lv2:symbol "meterOutL" ;
	lv2:name "L Out" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:AudioPort ;
	lv2:index 8 ;
	lv2:symbol "inL" ;
	lv2:name "L In" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/tube/stereo#in> ;
	pg:role pg:leftChannel ;
    ] , [
	a lv2:OutputPort,  lv2:AudioPort ;
	lv2:index 9 ;
	lv2:symbol "outL" ;
	lv2:name "L Out" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/tube/stereo#out> ;
	pg:role pg:leftChannel ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 10 ;
	lv2:symbol "meterInR" ;
	lv2:name "R In" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 11 ;
	lv2:symbol "meterOutR" ;
	lv2:name "R Out" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
   ] , [
	a lv2:InputPort, lv2:AudioPort ;
	lv2:index 12 ;
	lv2:symbol "inR" ;
	lv2:name "R In" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/tube/stereo#in> ;
	pg:role pg:rightChannel ;
    ] , [
	a lv2:OutputPort,  lv2:AudioPort ;
	lv2:index 13 ;
	lv2:symbol "outR" ;
	lv2:name "R Out" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/tube/stereo#out> ;
	pg:role pg:rightChannel ;
    ]
.
	
